Support » Plugin: shipcloud for WooCommerce » WordPress Error

  • Resolved daspaddy

    (@daspaddy)


    I get the following error after installing the plugin. Cam you help?

    Fatal error: Uncaught Error: Call to undefined method WC_Order::get_meta() in /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php:1361 Stack trace: #0 /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php(1316): WC_Shipcloud_Order->get_care_of() #1 /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php(301): WC_Shipcloud_Order->get_recipient() #2 /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php(315): WC_Shipcloud_Order->get_addresses() #3 /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php(282): WC_Shipcloud_Order->addresses() #4 /var/customers/www/paddy/shop.neunzehn72.de/wp-admin/includes/template.php(1048): WC_Shipcloud_Order->shipment_center(Object(WP_Post), Array) #5 /var/customers/www/paddy/shop.neunzehn72.de/wp-a in /var/customers/www/paddy/shop.neunzehn72.de/wp-content/plugins/shipcloud-for-woocommerce/components/woo/order.php on line 1361

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author andrecedik

    (@andrecedik)

    Hey @daspaddy, we’re currently preparing a 1.4.2 release, which will fix this bug.

    Hi, André!

    Actually I never had the plugin working after I installed it.

    Here is a screenshot (1.6 MB) of errors I get on order creation.

    I can provide any kind of info because we really want to continue with Shipcloud only. The plugin was updated few hrs. ago.

    Thanks in advance,
    Demetrius

    Plugin Author andrecedik

    (@andrecedik)

    Hi @aktivist,

    could you send us an email at support@shipcloud.io and supply us with the WooCommerce Version you’re using.

    I see that WordPress is version 4.8.1 and I read from your comment, that you’re using the latest plugin version (1.4.2).

    Best
    André

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘WordPress Error’ is closed to new replies.